<?php
require '../conn/conn.php';
require '../conn/function.php';
require 'admin_check.php';
$action=$_GET["action"];
$id=intval($_GET["id"]);
$page=$_GET["page"];

if($page==""){
  $page=1;
}

$sql="select count(S_id) as S_count from sl_short";
$result = mysqli_query($conn, $sql);
$row = mysqli_fetch_assoc($result);
$S_counts=$row["S_count"];

if($action=="up"){
  mysqli_query($conn,"update sl_short set S_vip=1 where S_id=$id");
}
if($action=="delete"){
  mysqli_query($conn,"delete from sl_short where S_id=$id");
}

if($action=="delall"){
	$id=$_POST["id"];
	if(count($id)>0) {
		$shu=0 ;
		for ($i=0 ;$i<count($id);$i++ ) {
			mysqli_query($conn,"delete from sl_short where S_id=".intval($id[$i]));
			$shu=$shu+1 ;
			$ids=$ids.$id[$i].",";
		}
		$ids= substr($ids,0,strlen($ids)-1);
		if($shu>0) {
			die("{\"msg\":\"success\",\"ids\":\"".$ids."\"}");
		} else {
			die("{\"msg\":\"删除失败\"}");
		}
	} else {
		die("{\"msg\":\"未选择要删除的内容\"}");
	}
}
?>
<!DOCTYPE html>
<html lang="zh">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />
<title>短网址管理 - 后台管理</title>
<link rel="icon" href="../media/<?php echo $C_ico?>" type="image/ico">
<link href="../css/bootstrap.min.css" rel="stylesheet">
<link href="../css/materialdesignicons.min.css" rel="stylesheet">
<link href="../css/style.min.css" rel="stylesheet">
<link rel="stylesheet" href="../js/jconfirm/jquery-confirm.min.css">
<style type="text/css">
.pagination{margin: 0px;}
</style>
</head>
  
<body>
<div class="lyear-layout-web">
  <div class="lyear-layout-container">
  <?php require 'nav.php';?>
    <main class="lyear-layout-content">
      <div class="container-fluid">
        <div class="row">

          <div class="col-md-12">
            <div class="card">
              <div class="card-header"><h4>短网址管理</h4></div>
              <form id="list">
                  <table class="table">
                    <tr><th>选择</th><th>长网址</th><th>短网址</th><th>生成时间</th><th>访问次数</th><th>状态</th><th>升级到永久</th><th>删除</th></tr>
                    <?php
$sql="select * from sl_short order by S_id desc limit ".(($page-1)*20).",20";
$result = mysqli_query($conn,  $sql);
if (mysqli_num_rows($result) > 0) {
while($row = mysqli_fetch_assoc($result)) {
  if($row["S_vip"]==1 || $C_day==0){
    $vip="永久有效 无广告";
    $btn="";
  }else{
    $vip="临时".$C_day."天 有广告";
    $btn="<button type=\"button\" onclick=\"up(".$row["S_id"].")\" class=\"btn btn-success btn-xs\">升级</button>";
  }

  echo "<tr id=\"".$row["S_id"]."\"><td><input type=\"checkbox\" name=\"id[]\" value=\"".$row["S_id"]."\"></td><td>".htmlspecialchars(urldecode($row["S_url"]))."</td><td>".$row["S_short"]." <a href=\"".$row["S_short"]."\" target=\"_blank\" class=\"btn btn-xs btn-info\">打开</a></td><td>".$row["S_time"]."</td><td>".$row["S_times"]."</td><td>$vip</td><td>$btn</td><td><button onclick=\"del(".$row["S_id"].")\" type=\"button\" class=\"btn btn-danger btn-xs\">删除</button></td></tr>";
    }
} 
                    ?>
                  </table>
                  </form>
            </div>
            <label><input type="checkbox" id="selectAll" name="selectAll"> 全选</label>
			<button class="btn btn-sm btn-danger" type="button" onClick="delall()"><i class="fa fa-times-circle" ></i> 删除所选</button>

            <ul class="pagination" id="pagination" style="float: right;"></ul>
                  <input type="hidden" id="PageCount" runat="server" />
        <input type="hidden" id="PageSize" runat="server" value="20" />
        <input type="hidden" id="countindex" runat="server" value="20"/>
        <!--设置最多显示的页码数 可以手动设置 默认为7-->
        <input type="hidden" id="visiblePages" runat="server" value="7" />
          </div>

        </div>
      </div>
    </main>
    <!--End 页面主要内容-->
  </div>
</div>

<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/bootstrap.min.js"></script>
<script type="text/javascript" src="../js/perfect-scrollbar.min.js"></script>
<script type="text/javascript" src="../js/main.min.js"></script>
<script src="../js/jconfirm/jquery-confirm.min.js"></script>
<script src="../js/bootstrap-notify.min.js"></script>
<script type="text/javascript" src="../js/lightyear.js"></script>
<script src="../js/jqPaginator.min.js" type="text/javascript"></script>
<script type="text/javascript">
$('input[name="selectAll"]').on("click",function(){
        if($(this).is(':checked')){
            $('input[name="id[]"]').each(function(){
                $(this).prop("checked",true);
            });
        }else{
            $('input[name="id[]"]').each(function(){
                $(this).prop("checked",false);
            });
        }
    });
function delall() {

	$.alert({
        title: '确认删除',
        content: '是否删除该短网址记录（删除后无法恢复）？',
    buttons: {
      confirm: {
        text: '确认',
        btnClass: 'btn-primary',
        action: function(){
          $.ajax({
            url: '?action=delall',
            type: 'post',
            data: $("#list").serialize(),
            success: function(data) {
                data = JSON.parse(data);
                if (data.msg == "success") {
                	lightyear.notify('删除成功', 'success', 100);
                    id = data.ids.split(",");
                    for (var i = 0; i < id.length; i++) {
                        $("#" + id[i]).hide();
                    };
                } else {
                	lightyear.notify(data.msg, 'danger', 100);
                }
            }
        });
        }
      },
      cancel: {
        text: '取消',
        action: function () {

        }
      }
    }
    });
}

  function loadData(num) {
            $("#PageCount").val("<?php echo $S_counts?>");
        }
function loadpage(id) {
    var myPageCount = parseInt($("#PageCount").val());
    var myPageSize = parseInt($("#PageSize").val());
    var countindex = myPageCount % myPageSize > 0 ? (myPageCount / myPageSize) + 1 : (myPageCount / myPageSize);
    $("#countindex").val(countindex);

    $.jqPaginator('#pagination', {
        totalPages: parseInt($("#countindex").val()),
        visiblePages: parseInt($("#visiblePages").val()),
        currentPage: id,
        first: '<li class="first page-item"><a href="javascript:;" class="page-link">|<</a></li>',
        prev: '<li class="prev page-item"><a href="javascript:;" class="page-link"><i class="arrow arrow2"></i><</a></li>',
        next: '<li class="next page-item"><a href="javascript:;" class="page-link">><i class="arrow arrow3"></i></a></li>',
        last: '<li class="last page-item"><a href="javascript:;" class="page-link">>|</a></li>',
        page: '<li class="page page-item"><a href="javascript:;" class="page-link">{{page}}</a></li>',
        onPageChange: function (num, type) {
            if (type == "change") {
                window.location="?page="+num;
            }
        }
    });
}
$(function () {
    loadData(<?php echo $page?>);
    loadpage(<?php echo $page?>);

});

function del(id){
  $.alert({
        title: '确认删除',
        content: '是否删除该短网址记录（删除后无法恢复）？',
    buttons: {
      confirm: {
        text: '确认',
        btnClass: 'btn-primary',
        action: function(){
          window.location.href='?action=delete&id='+id+'&page=<?php echo $page?>';
        }
      },
      cancel: {
        text: '取消',
        action: function () {

        }
      }
    }
    });
}

function up(id){
  $.alert({
        title: '确认升级',
        content: '是否升级该临时短网址到永久有效？',
    buttons: {
      confirm: {
        text: '确认',
        btnClass: 'btn-primary',
        action: function(){
          window.location.href='?action=up&id='+id+'&page=<?php echo $page?>';
        }
      },
      cancel: {
        text: '取消',
        action: function () {

        }
      }
    }
    });
}
  var path=window.location.pathname;
  $("a").each(function(){
    if(path.indexOf($(this).attr("href"))!=-1){
      console.log($(this).attr("href"));
      $(this).parent("li").addClass("active");
      $(this).parent("li").parent("ul").parent("li").addClass("open active");
    }
  });
</script>
</body>
</html>